{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Test Pengetahuan Home</title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<style type="text/css">
table, th, td {
  border: 1px solid black;
  text-align: center;
}
</style>
{% endblock meta %}s

{% block content %}
<div style="margin-left: 400px; margin-top: 120px">
    <h2> Selamat Datang di Test Pengetahuan COVID </h2>
    <br> <br>
    <h4 style="margin-left: 20px">Silahkan tekan tombol dibawah untuk mengikuti test</h4>
    <h4 style="margin-left: 10px">Dilarang kembali ke halaman sebelumnya maupun refresh</h4>
    <br>
    <button  style="margin-left:180px" onclick="location.href='{% url 'TestPengetahuan:soal1s' %}'" type="button" class="btn btn-lg btn-primary" >Kerjakan Test Sekarang</button>
</div>
<br>

{% if user.is_authenticated %}
<button onclick="leaderboard()" class="btn btn-warning" style="margin-left: 640px;">LeaderBoard</button>
<br><br>
{% endif %}
<table id="daftarisi" style="margin-left: auto;margin-right: auto;width: 60%">
</table>
<br><br> 
<script type="text/javascript">
	function leaderboard() {
        $.ajax({
            url: '/TestPengetahuan/leaderboard/',
            success: function(data){
            	console.log(data)
                data=data.sort((a, b) => (a.fields.nilai < b.fields.nilai) ? 1 : -1)
                console.log(data)
                $("#daftarisi").empty();
                $("#daftarisi").append("<tr><th>Rank</th><th>Nama</th><th>Nilai</th></tr>");
                for(a=0;a<10;a++){
                    console.log(data[a]);
                    var nama = data[a].fields.userrname;
                    var nilai= data[a].fields.nilai;
                    var ranking=a+1
                    $("#daftarisi").append("<tr><td>"+ranking+"</td><td>"+nama+"</td><td>"+nilai+"</td></tr>");
                    if(data.length==a+1){
                        break;
                    }
                }
            }
        });
    };
</script>
{% endblock content %};